#Use ninja
%global		__cmake_builder ninja

Name:		draco
Version:	1.5.5
Release:	%autorelease
Summary:	A library for compressing and decompressing 3D geometric meshes and point clouds 
License:	Apache-2.0
URL:		https://github.com/google/%{name}
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
#BuildRequires:	help2man
BuildRequires:	ninja-build
BuildRequires:	pkgconfig(python3)

%description
A library for compressing and decompressing 3D geometric meshes and point clouds

%package	devel
Summary: Development files for draco
Requires: %{name}%{?_isa} = %{version}-%{release}

%description	devel
%{summary}.

%prep
%autosetup -n %{name}-%{version}

# Remove precompiled Javascript and binaries
rm -fr {javascript,maya}


%build
%cmake -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_SHARED_LIBS=ON 

%cmake_build

%install
%cmake_install

# remove static file
rm -f %{buildroot}/%{_libdir}/libdraco.a

%check
%ctest

%files
%license LICENSE AUTHORS
%doc README.md
%{_bindir}/%{name}_decoder
%{_bindir}/%{name}_decoder-%{version}
%{_bindir}/%{name}_encoder
%{_bindir}/%{name}_encoder-%{version}
%{_libdir}/libdraco.so.7
%{_libdir}/libdraco.so.7.0.0
#%%{_mandir}/man1/%%{name}_decoder
#%%{_mandir}/man1/%%{name}_decoder-%%{version}
#%%{_mandir}/man1/%%{name}_encoder
#%%{_mandir}/man1/%%{name}_encoder-%%{version}

%files devel
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
%autochangelog
